%define name     gimageview
%define version  0.2.22
%define rel      1
# %define prefix   /usr

Summary: a GTK+ based image viewer
Name: %{name}
Version: %{version}
Release: %{rel}
Copyright: GPL
Group: Applications/Multimedia
URL: http://www.homa.ne.jp/~ashie/gimageview/
Source0: http://prdownloads.sourceforge.net/gtkmmviewer/%{name}-%{version}.tar.gz
Requires: glib >= 1.2.6, gtk+ >= 1.2.6, gdk-pixbuf >= 0.8.0
BuildRequires: gtk+-devel gdk-pixbuf-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root
# NoSource: 0

%description
GImageView is a GTK+ based image viewer.
It support tabbed browsing, thumbnail table views, directory tree views,
drag and drop, reading thumbnail cache of other famous image viewers,
and flexible user interface.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
if [ ! -f configure ]; then
   ./autogen.sh
fi

CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix}
%{__make}

%install
%{__rm} -rf $RPM_BUILD_ROOT
#%{__make} install prefix=$RPM_BUILD_ROOT%{_prefix}
%{makeinstall}

%find_lang %{name}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc %{_docdir}/%{name}
%{_bindir}/gimv
%{_datadir}/pixmaps/gimv.png
%{_datadir}/gnome/apps/Graphics/gimageview.desktop
%{_datadir}/%{name}/gtkrc
%{_datadir}/%{name}/mplayerrc
%{_datadir}/%{name}/pixmaps/default/*.xpm
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_libdir}/%{name}/*/*.so


%changelog
* Mon May 19 2003 Takuro Ashie <ashie@homa.ne.jp>
- add mplayerrc

* Sat Aug 31 2002 Takuro Ashie <ashie@homa.ne.jp>
- moved document directory under %_docdir.

* Wed Aug 28 2002 Takuro Ashie <ashie@homa.ne.jp>
- added japanese HTML files.

* Sun May 21 2002 Takuro Ashie <ashie@homa.ne.jp>
- added gtkrc and gimageview.desktop files.

* Sun Feb 23 2002 Takuro Ashie <ashie@homa.ne.jp>
- Modified to use gdk-pixbuf instead of imlib.
- Replaced "gimageview" directory to %{name}

* Sun Feb 17 2002 Takuro Ashie <ashie@homa.ne.jp>
- Bug fix.

* Thu Feb 12 2002 Takuro Ashie <ashie@homa.ne.jp>
- Update to 0.1.97

* Thu Jan  3 2002 ARAKI Manabu <hora@st.rim.or.jp>
- 0.1.7-0vl1

* Tue Dec 25 2001 ARAKI Manabu <hora@st.rim.or.jp>
- 0.1.6-0vl1

* Mon Dec 10 2001 ARAKI Manabu <hora@st.rim.or.jp>
- 0.1.5-0vl1
- change Source0

* Thu Nov 15 2001 ARAKI Manabu <hora@st.rim.or.jp>
- 0.1.3-0vl1
- build for Vine Linux 2.1.*
- modify spec file (base: 0.1.2-3k.nosrc.rpm)
- add Japanese summary and description.

* Sat Nov 02 2001 Ogawa Youhei <t-nyan2@nifty.com>
- for version 0.1.2

* Sat Nov 02 2001 Ogawa Youhei <t-nyan2@nifty.com>
- change files section for 2001-11-01 nightly

* Sat Oct 15 2001 Ogawa Youhei <t-nyan2@nifty.com>
- for nightly

* Sat Oct 12 2001 Ogawa Youhei <t-nyan2@nifty.com>
- for version 0.1.1

* Sat Sep 08 2001 Ogawa Youhei <t-nyan2@nifty.com>
- for version 0.1.0

* Sat Sep 08 2001 Ogawa Youhei <t-nyan2@nifty.com>
- Initial build.
